Inserts an element in the queue by sifting it up

- « SplPriorityQueue::getExtractFlags

- SplPriorityQueue::isCorrupted »

- PHP Manual
- SplPriorityQueue
- Inserts an element in the queue by sifting it up

# SplPriorityQueue::insert

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplPriorityQueue::insert — Inserts an element in the queue by sifting it up

### Description

public SplPriorityQueue::insert(mixed `$value`, mixed `$priority`): true

Insert `value` with the priority `priority` in the queue.

### Parameters

`value`

  The value to insert.

`priority`

  The associated priority.

### Return Values

Always returns `true`.

### Changelog

Version | Description
--- | ---
8.4.0 | SplPriorityQueue::insert() now has a tentative return of true.